JavaStubGenerator (Groovy 5.0.6)

Package: org.codehaus.groovy.tools.javac

## [Java] Class JavaStubGenerator

- org.codehaus.groovy.tools.javac.JavaStubGenerator

-     public class JavaStubGenerator
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and description
    `JavaStubGenerator(File outputPath)`
    `JavaStubGenerator(File outputPath, boolean requireSuperResolved, String encoding)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected void` | `addConstructor(Parameter[] params, ConstructorNode ctor, Statement code, ClassNode node)`
    `` | `public void` | `addCovariantMethods(ClassNode cn)`
    `` | `protected void` | `addDefaultConstructor(ClassNode node)`
    `` | `protected void` | `addDefaultParameters(DefaultArgsAction action, MethodNode method)`
    `` | `protected void` | `addInitialization(ClassNode cn)`
    `` | `protected void` | `addInitialization(ClassNode cn, ConstructorNode c)`
    `` | `protected MethodNode` | `addMethod(ClassNode cn, boolean shouldBeSynthetic, String name, int modifiers, ClassNode returnType, Parameter[] parameters, ClassNode[] exceptions, Statement code)`
    `` | `protected void` | `addPropertyMethod(MethodNode mn)`
    `` | `protected void` | `addReturnIfNeeded(MethodNode mn)`
    `` | `public void` | `clean()`
    `` | `public void` | `generateClass(ClassNode classNode)`
    `` | `protected VariableNotFinalCallback` | `getFinalVariablesCallback()`
    `` | `public Set<JavaFileObject>` | `getJavaStubCompilationUnitSet()`
    `` | `public void` | `visitClass(ClassNode node)`
    `` | `public void` | `visitConstructor(ConstructorNode node)`
    `` | `public void` | `visitProperty(PropertyNode pn)`
    `` | `public void` | `visitPropertyExpression(PropertyExpression property)`
    `` | `public void` | `visitVariableExpression(VariableExpression variable)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### public JavaStubGenerator(File outputPath)

    - #### public JavaStubGenerator(File outputPath, boolean requireSuperResolved, String encoding)

  - ### Method Detail

    - #### @Override
      protected void addConstructor(Parameter[] params, ConstructorNode ctor, Statement code, ClassNode node)

    - #### @Override
      public void addCovariantMethods(ClassNode cn)

    - #### @Override
      protected void addDefaultConstructor(ClassNode node)

    - #### @Override
      protected void addDefaultParameters(DefaultArgsAction action, MethodNode method)

    - #### @Override
      protected void addInitialization(ClassNode cn)

    - #### @Override
      protected void addInitialization(ClassNode cn, ConstructorNode c)

    - #### @Override
      protected MethodNode addMethod(ClassNode cn, boolean shouldBeSynthetic, String name, int modifiers, ClassNode returnType, Parameter[] parameters, ClassNode[] exceptions, Statement code)

    - #### @Override
      protected void addPropertyMethod(MethodNode mn)

    - #### @Override
      protected void addReturnIfNeeded(MethodNode mn)

    - #### public void clean()

    - #### public void generateClass(ClassNode classNode)

    - #### @Override
      protected VariableNotFinalCallback getFinalVariablesCallback()

    - #### public Set<JavaFileObject> getJavaStubCompilationUnitSet()

    - #### @Override
      public void visitClass(ClassNode node)

    - #### @Override
      public void visitConstructor(ConstructorNode node)

    - #### @Override
      public void visitProperty(PropertyNode pn)

    - #### @Override
      public void visitPropertyExpression(PropertyExpression property)

    - #### @Override
      public void visitVariableExpression(VariableExpression variable)